;******************************************************************************
;* TMS320C6x C/C++ Codegen                                        Unix v7.4.5 *
;* Date/Time created: Thu Sep 26 22:43:55 2013                                *
;******************************************************************************
	.compiler_opts --abi=coffabi --c64p_l1d_workaround=default --endian=little --hll_source=on --long_precision_bits=40 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=coff --silicon_version=6500 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C64x+                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("demo_fractal.c")
	.dwattr $C$DW$CU, DW_AT_producer("TMS320C6x C/C++ Codegen Unix v7.4.5 Copyright (c) 1996-2013 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("/bsp/pandora/c64_tools/c64_ccs_projects/components/demo_fractal")
;*****************************************************************************
;* CINIT RECORDS                                                             *
;*****************************************************************************
	.sect	".cinit"
	.align	8
	.field  	$C$IR_1,32
	.field  	_component_demo_fractal+0,32
	.bits	0,16			; _component_demo_fractal._component_id @ 0
	.bits	0,16
	.bits	0,32			; _component_demo_fractal._fxns._init @ 32
	.bits	_loc_exec,32		; _component_demo_fractal._fxns._exec @ 64
	.bits	0,32			; _component_demo_fractal._fxns._exec_fc @ 96
	.bits	0,32			; _component_demo_fractal._fxns._exit @ 128
$C$IR_1:	.set	20


$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("_hill")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("__hill")
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external
$C$DW$2	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$14)
	.dwendtag $C$DW$1


$C$DW$3	.dwtag  DW_TAG_subprogram, DW_AT_name("_loll")
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("__loll")
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$3, DW_AT_declaration
	.dwattr $C$DW$3, DW_AT_external
$C$DW$4	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$14)
	.dwendtag $C$DW$3


$C$DW$5	.dwtag  DW_TAG_subprogram, DW_AT_name("_mpy32ll")
	.dwattr $C$DW$5, DW_AT_TI_symbol_name("__mpy32ll")
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$5, DW_AT_declaration
	.dwattr $C$DW$5, DW_AT_external
$C$DW$6	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$6, DW_AT_type(*$C$DW$T$10)
$C$DW$7	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$7, DW_AT_type(*$C$DW$T$10)
	.dwendtag $C$DW$5


$C$DW$8	.dwtag  DW_TAG_subprogram, DW_AT_name("BCACHE_inv")
	.dwattr $C$DW$8, DW_AT_TI_symbol_name("_BCACHE_inv")
	.dwattr $C$DW$8, DW_AT_declaration
	.dwattr $C$DW$8, DW_AT_external
$C$DW$9	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$9, DW_AT_type(*$C$DW$T$47)
$C$DW$10	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$10, DW_AT_type(*$C$DW$T$48)
$C$DW$11	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$11, DW_AT_type(*$C$DW$T$49)
	.dwendtag $C$DW$8


$C$DW$12	.dwtag  DW_TAG_subprogram, DW_AT_name("BCACHE_wbAll")
	.dwattr $C$DW$12, DW_AT_TI_symbol_name("_BCACHE_wbAll")
	.dwattr $C$DW$12, DW_AT_declaration
	.dwattr $C$DW$12, DW_AT_external

$C$DW$13	.dwtag  DW_TAG_subprogram, DW_AT_name("_IQNdiv")
	.dwattr $C$DW$13, DW_AT_TI_symbol_name("__IQNdiv")
	.dwattr $C$DW$13, DW_AT_type(*$C$DW$T$57)
	.dwattr $C$DW$13, DW_AT_declaration
	.dwattr $C$DW$13, DW_AT_external
$C$DW$14	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$14, DW_AT_type(*$C$DW$T$57)
$C$DW$15	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$57)
$C$DW$16	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$58)
	.dwendtag $C$DW$13

	.global	_component_demo_fractal
_component_demo_fractal:	.usect	".far",20,4
$C$DW$17	.dwtag  DW_TAG_variable, DW_AT_name("component_demo_fractal")
	.dwattr $C$DW$17, DW_AT_TI_symbol_name("_component_demo_fractal")
	.dwattr $C$DW$17, DW_AT_location[DW_OP_addr _component_demo_fractal]
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$46)
	.dwattr $C$DW$17, DW_AT_external
;	opt6x /tmp/08041skba4P /tmp/08041IgCWSb 
	.sect	".text"
	.clink

$C$DW$18	.dwtag  DW_TAG_subprogram, DW_AT_name("loc_exec")
	.dwattr $C$DW$18, DW_AT_low_pc(_loc_exec)
	.dwattr $C$DW$18, DW_AT_high_pc(0x00)
	.dwattr $C$DW$18, DW_AT_TI_symbol_name("_loc_exec")
	.dwattr $C$DW$18, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$18, DW_AT_TI_begin_file("demo_fractal.c")
	.dwattr $C$DW$18, DW_AT_TI_begin_line(0x191)
	.dwattr $C$DW$18, DW_AT_TI_begin_column(0x0d)
	.dwattr $C$DW$18, DW_AT_TI_max_frame_size(0x20)
	.dwattr $C$DW$18, DW_AT_frame_base[DW_OP_breg31 32]
	.dwattr $C$DW$18, DW_AT_TI_skeletal
	.dwpsn	file "demo_fractal.c",line 404,column 24,is_stmt,address _loc_exec
$C$DW$19	.dwtag  DW_TAG_formal_parameter, DW_AT_name("_cmd")
	.dwattr $C$DW$19, DW_AT_TI_symbol_name("__cmd")
	.dwattr $C$DW$19, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$19, DW_AT_location[DW_OP_reg4]
$C$DW$20	.dwtag  DW_TAG_formal_parameter, DW_AT_name("_arg1")
	.dwattr $C$DW$20, DW_AT_TI_symbol_name("__arg1")
	.dwattr $C$DW$20, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$20, DW_AT_location[DW_OP_reg20]
$C$DW$21	.dwtag  DW_TAG_formal_parameter, DW_AT_name("_arg2")
	.dwattr $C$DW$21, DW_AT_TI_symbol_name("__arg2")
	.dwattr $C$DW$21, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$21, DW_AT_location[DW_OP_reg6]
$C$DW$22	.dwtag  DW_TAG_formal_parameter, DW_AT_name("_ret1")
	.dwattr $C$DW$22, DW_AT_TI_symbol_name("__ret1")
	.dwattr $C$DW$22, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$22, DW_AT_location[DW_OP_reg22]
$C$DW$23	.dwtag  DW_TAG_formal_parameter, DW_AT_name("_ret2")
	.dwattr $C$DW$23, DW_AT_TI_symbol_name("__ret2")
	.dwattr $C$DW$23, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$23, DW_AT_location[DW_OP_reg8]

;******************************************************************************
;* FUNCTION NAME: loc_exec                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B13,SP,A16,A17,*
;*                           A18,A19,A20,A21,A22,A23,A24,A25,A26,A27,A28,A29, *
;*                           A30,A31,B16,B17,B18,B19,B20,B21,B22,B23,B24,B25, *
;*                           B26,B27,B28,B29,B30,B31                          *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B13,DP,SP,A16, *
;*                           A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27,A28, *
;*                           A29,A30,A31,B16,B17,B18,B19,B20,B21,B22,B23,B24, *
;*                           B25,B26,B27,B28,B29,B30,B31                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 32 Save = 32 byte                  *
;******************************************************************************
_loc_exec:
;** --------------------------------------------------------------------------*
;** 411	-----------------------    if ( _cmd == 1 ) goto g3;
;** 437	-----------------------    return 1u;

           CMPEQ   .L1     A4,1,A0           ; |411| 
||         STW     .D2T2   B13,*SP--(8)      ; |404| 
||         MVK     .S1     0x1,A6            ; |92| 
||         MV      .L2     B3,B13            ; |404| 
||         MV      .D1X    B4,A4             ; |404| 

   [!A0]   B       .S1     $C$L9             ; |437| 
||         STDW    .D2T1   A15:A14,*SP--     ; |404| 
||         MV      .L1     A6,A3             ; |92| 

$C$DW$24	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$24, DW_AT_low_pc(0x00)
	.dwattr $C$DW$24, DW_AT_name("_BCACHE_inv")
	.dwattr $C$DW$24, DW_AT_TI_call

   [ A0]   CALL    .S1     _BCACHE_inv       ; |92| 
||         STDW    .D2T1   A13:A12,*SP--     ; |404| 
||         ZERO    .L1     A12

           STDW    .D2T1   A11:A10,*SP--     ; |404| 
||         MV      .L1X    B4,A10            ; |404| 

           MVK     .S2     0x24,B4           ; |92| 
           MVKH    .S1     0x47800000,A12
           MV      .L1     A12,A11           ; |99| 
           ; BRANCHCC OCCURS {$C$L9}         ; |437| 
;** --------------------------------------------------------------------------*
;**	-----------------------g3:
;** 425	-----------------------    _args = (const struct $fake1 *)_arg1;
;** 92	-----------------------    BCACHE_inv(_args, 36u, 1u);  // [7]
;** 99	-----------------------    c1 = (int)((*_args).c1*(C$14 = 65536.0F));  // [7]
;** 100	-----------------------    c2 = (int)((*_args).c2*C$14);  // [7]
;** 101	-----------------------    iq_start_x = (int)((float)(*_args).start_x*C$14);  // [7]
;** 102	-----------------------    iq_start_y = (int)((float)(*_args).start_y*C$14);  // [7]
           ADDKPC  .S2     $C$RL0,B3,0       ; |92| 
$C$RL0:    ; CALL OCCURS {_BCACHE_inv} {0}   ; |92| 
;** --------------------------------------------------------------------------*
$C$DW$25	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$25, DW_AT_low_pc(0x00)
	.dwattr $C$DW$25, DW_AT_name("__mpyf")
	.dwattr $C$DW$25, DW_AT_TI_call

           CALLP   .S2     __mpyf,B3
||         LDW     .D1T1   *+A10(24),A4      ; |99| 
||         MV      .L2X    A12,B4            ; |99| 

$C$RL1:    ; CALL OCCURS {__mpyf} {0}        ; |99| 
$C$DW$26	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$26, DW_AT_low_pc(0x00)
	.dwattr $C$DW$26, DW_AT_name("__fixfi")
	.dwattr $C$DW$26, DW_AT_TI_call
           CALLP   .S2     __fixfi,B3
$C$RL2:    ; CALL OCCURS {__fixfi} {0}       ; |99| 
$C$DW$27	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$27, DW_AT_low_pc(0x00)
	.dwattr $C$DW$27, DW_AT_name("__mpyf")
	.dwattr $C$DW$27, DW_AT_TI_call

           CALLP   .S2     __mpyf,B3
||         MV      .L1     A4,A12            ; |99| 
||         LDW     .D1T1   *+A10(28),A4      ; |100| 
||         MV      .L2X    A11,B4            ; |100| 

$C$RL3:    ; CALL OCCURS {__mpyf} {0}        ; |100| 
$C$DW$28	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$28, DW_AT_low_pc(0x00)
	.dwattr $C$DW$28, DW_AT_name("__fixfi")
	.dwattr $C$DW$28, DW_AT_TI_call
           CALLP   .S2     __fixfi,B3
$C$RL4:    ; CALL OCCURS {__fixfi} {0}       ; |100| 
$C$DW$29	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$29, DW_AT_low_pc(0x00)
	.dwattr $C$DW$29, DW_AT_name("__fltuf")
	.dwattr $C$DW$29, DW_AT_TI_call

           CALLP   .S2     __fltuf,B3
||         MV      .L1     A4,A13            ; |100| 
||         LDW     .D1T1   *+A10(16),A4      ; |101| 

$C$RL5:    ; CALL OCCURS {__fltuf} {0}       ; |101| 
$C$DW$30	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$30, DW_AT_low_pc(0x00)
	.dwattr $C$DW$30, DW_AT_name("__mpyf")
	.dwattr $C$DW$30, DW_AT_TI_call

           CALLP   .S2     __mpyf,B3
||         MV      .L2X    A11,B4            ; |101| 

$C$RL6:    ; CALL OCCURS {__mpyf} {0}        ; |101| 
$C$DW$31	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$31, DW_AT_low_pc(0x00)
	.dwattr $C$DW$31, DW_AT_name("__fixfi")
	.dwattr $C$DW$31, DW_AT_TI_call
           CALLP   .S2     __fixfi,B3
$C$RL7:    ; CALL OCCURS {__fixfi} {0}       ; |101| 
$C$DW$32	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$32, DW_AT_low_pc(0x00)
	.dwattr $C$DW$32, DW_AT_name("__fltuf")
	.dwattr $C$DW$32, DW_AT_TI_call

           CALLP   .S2     __fltuf,B3
||         MV      .L1     A4,A15            ; |101| 
||         LDW     .D1T1   *+A10(20),A4      ; |102| 

$C$RL8:    ; CALL OCCURS {__fltuf} {0}       ; |102| 
$C$DW$33	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$33, DW_AT_low_pc(0x00)
	.dwattr $C$DW$33, DW_AT_name("__mpyf")
	.dwattr $C$DW$33, DW_AT_TI_call

           CALLP   .S2     __mpyf,B3
||         MV      .L2X    A11,B4            ; |102| 

$C$RL9:    ; CALL OCCURS {__mpyf} {0}        ; |102| 
$C$DW$34	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$34, DW_AT_low_pc(0x00)
	.dwattr $C$DW$34, DW_AT_name("__fixfi")
	.dwattr $C$DW$34, DW_AT_TI_call
           CALLP   .S2     __fixfi,B3
$C$RL10:   ; CALL OCCURS {__fixfi} {0}       ; |102| 
;** --------------------------------------------------------------------------*
;** 103	-----------------------    s_xx = _IQNdiv(65536, 2097152, 16u);  // [7]
;** 104	-----------------------    s_yy = _IQNdiv(65536, 2097152, 16u);  // [7]
;** 105	-----------------------    C$13 = _mpy32ll(s_yy, iq_start_y);  // [7]
;** 105	-----------------------    c_yy = (_loll(C$13)>>16u|(int)(_hill(C$13)<<16))-117964;  // [7]
;** 106	-----------------------    ly = (*_args).start_y;  // [7]
;** 111	-----------------------    d = (*_args).framebuffer.data;  // [7]
;** 112	-----------------------    itd = (*_args).iter_depth;  // [7]
;** 114	-----------------------    if ( !(C$11 = (*_args).framebuffer.h) ) goto g14;  // [7]
           ZERO    .L2     B4

           MV      .L1     A4,A14            ; |102| 
||         ZERO    .D1     A4
||         SET     .S2     B4,0x15,0x15,B4
||         MVK     .S1     0x10,A6           ; |103| 

$C$DW$35	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$35, DW_AT_low_pc(0x00)
	.dwattr $C$DW$35, DW_AT_name("__IQNdiv")
	.dwattr $C$DW$35, DW_AT_TI_call

           CALLP   .S2     __IQNdiv,B3
||         SET     .S1     A4,0x10,0x10,A4

$C$RL11:   ; CALL OCCURS {__IQNdiv} {0}      ; |103| 
;** --------------------------------------------------------------------------*
           ZERO    .L2     B4

           MV      .L1     A4,A11            ; |103| 
||         ZERO    .D1     A4
||         SET     .S2     B4,0x15,0x15,B4
||         MVK     .S1     0x10,A6           ; |104| 

$C$DW$36	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$36, DW_AT_low_pc(0x00)
	.dwattr $C$DW$36, DW_AT_name("__IQNdiv")
	.dwattr $C$DW$36, DW_AT_TI_call

           CALLP   .S2     __IQNdiv,B3
||         SET     .S1     A4,0x10,0x10,A4

$C$RL12:   ; CALL OCCURS {__IQNdiv} {0}      ; |104| 
;** --------------------------------------------------------------------------*

           LDW     .D1T1   *+A10(12),A0      ; |114| 
||         MV      .L1     A4,A18            ; |104| 
||         MPY32   .M1     A15,A11,A7:A6
||         ZERO    .L2     B26
||         MVK     .S1     29491,A31         ; |105| 

           LDW     .D1T2   *+A10(20),B22     ; |106| 
||         ZERO    .L1     A17               ; |108| 
||         MPY32   .M1     A18,A14,A5:A4     ; |105| 

           SET     .S2     B26,0x11,0x11,B26
           LDW     .D1T2   *A10,B24          ; |111| 
           SHRU    .S1     A6,16,A3

   [!A0]   B       .S1     $C$L8             ; |114| 
|| [ A0]   LDW     .D1T1   *+A10(8),A2
||         SHL     .S2X    A7,16,B5

           SHL     .S2X    A5,16,B4          ; |105| 
||         LDW     .D1T1   *+A10(32),A5      ; |112| 
||         SHRU    .S1     A4,16,A4          ; |105| 

           OR      .L1X    B5,A3,A3
||         MV      .L2X    A0,B1             ; |116| 

           OR      .L1X    B4,A4,A4          ; |105| 

           SUB     .L1X    A3,B26,A20
||         SUBAW   .D1     A4,A31,A19        ; |105| 

   [ A0]   MV      .L1     A20,A21           ; |116| 
           ; BRANCHCC OCCURS {$C$L8}         ; |114| 
;** --------------------------------------------------------------------------*
;**  	-----------------------    V$1 = (*_args).framebuffer.w;
;**  	-----------------------    C$12 = _mpy32ll(iq_start_x, s_xx);
;**  	-----------------------    U$66 = (_loll(C$12)>>16u|(int)(_hill(C$12)<<16))-131072;
;** 116	-----------------------    L$1 = C$11;  // [7]
;** 108	-----------------------    di = 0u;  // [7]
;**  	-----------------------    #pragma MUST_ITERATE(1, 2147483647, 1)
;**  	-----------------------    #pragma LOOP_FLAGS(4096u)

           MVK     .S2     0xff,B20
||         MV      .L2     B26,B16
|| [ A2]   MPY32   .M1     A19,A19,A7:A6
|| [ A2]   CMPEQ   .L1     A5,0,A3

	.dwpsn	file "demo_fractal.c",line 114,column 0,is_stmt

   [ A2]   MV      .L2X    A21,B6            ; |124| 
|| [!A2]   B       .S1     $C$L7             ; |118| 
|| [ A2]   MVKL    .S2     0x40001,B25

;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L1
;** --------------------------------------------------------------------------*
$C$L1:    
$C$DW$L$_loc_exec$8$B:
	.dwpsn	file "demo_fractal.c",line 115,column 0,is_stmt
;**	-----------------------g5:
;** 116	-----------------------    c_xx = U$66;  // [7]
;** 118	-----------------------    if ( !V$1 ) goto g13;  // [7]
   [ A2]   MV      .L2X    A19,B7            ; |125| 
   [ A2]   MPY32   .M2     B6,B7,B7:B6       ; |130| (P) <0,0>  ^ 
   [ A2]   XOR     .L2X    1,A3,B23
   [ A2]   SHRU    .S1     A6,16,A3

   [ A2]   SHL     .S2X    A7,16,B5
|| [ A2]   MPY32   .M1     A21,A21,A7:A6     ; |574| 

           ; BRANCHCC OCCURS {$C$L7}         ; |118| 
$C$DW$L$_loc_exec$8$E:
;** --------------------------------------------------------------------------*
$C$DW$L$_loc_exec$9$B:
;**  	-----------------------    K$143 = 255u;
;**  	-----------------------    C$10 = _mpy32ll(c_yy, c_yy);
;**  	-----------------------    U$85 = _loll(C$10)>>16u|(int)(_hill(C$10)<<16);
;**  	-----------------------    U$90 = itd != 0u;
;**  	-----------------------    K$92 = 262145;
;**  	-----------------------    K$151 = 0xff000000u;
;**  	-----------------------    U$155 = &d[di];
;** 122	-----------------------    L$2 = V$1;  // [7]
;** 156	-----------------------    di += V$1;  // [7]
;**  	-----------------------    #pragma MUST_ITERATE(1, 2147483647, 1)
;**  	-----------------------    #pragma LOOP_FLAGS(4096u)

           MVKH    .S2     0x40001,B25
||         OR      .L2X    B5,A3,B21
||         ZERO    .D2     B27
||         MV      .L1     A2,A1             ; |122| 
||         ZERO    .S1     A8                ; |128| 

           MV      .L2X    A17,B4
||         MVKH    .S2     0xff000000,B27
||         ADD     .L1     A2,A17,A17        ; |156| 

           ADDAW   .D2     B24,B4,B17
||         ADD     .L1X    -1,B25,A9

           SHRU    .S1     A6,16,A3          ; |574| 
	.dwpsn	file "demo_fractal.c",line 118,column 0,is_stmt

           SHL     .S2X    A7,16,B4          ; |574| 
||         MV      .L1X    B21,A7            ; |574| 

$C$DW$L$_loc_exec$9$E:
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L2
;** --------------------------------------------------------------------------*
$C$L2:    
$C$DW$L$_loc_exec$10$B:
	.dwpsn	file "demo_fractal.c",line 119,column 0,is_stmt
;**	-----------------------g7:
;** 574	-----------------------    C$9 = _mpy32ll(c_xx, c_xx);  // [6]
;** 574	-----------------------    qxx = _loll(C$9)>>16u|(int)(_hill(C$9)<<16);  // [6]
;** 574	-----------------------    qyy = U$85;  // [6]
;** 124	-----------------------    xx = c_xx;  // [7]
;** 125	-----------------------    yy = c_yy;  // [7]
;** 128	-----------------------    iter = 0u;  // [7]
;** 128	-----------------------    if ( !((qxx+qyy < K$92)&U$90) ) goto g10;  // [7]

           OR      .L2X    B4,A3,B5          ; |574| 
||         SHL     .S2     B7,16,B7          ; |130| (P) <0,4>  ^ 

           ADD     .L2     B21,B5,B4         ; |128| 
||         SHRU    .S2     B6,16,B6          ; |130| (P) <0,5>  ^ 

           CMPLT   .L2     B4,B25,B4         ; |128| 
||         OR      .S2     B7,B6,B7          ; |130| (P) <0,6>  ^ 

           AND     .L2     B23,B4,B0         ; |128| 
||         MPY32   .M2     B16,B7,B7:B6      ; |130| (P) <0,7>  ^ 

   [!B0]   BNOP    .S1     $C$L6,2           ; |128| 
|| [ B0]   SUB     .L1X    B5,A7,A3          ; |131| 
|| [ B0]   MV      .L2X    A12,B4

           SHRU    .S2     B6,16,B6          ; |130| (P) <0,12>  ^ 
           SHL     .S2     B7,16,B7          ; |130| (P) <0,11>  ^ 

           OR      .L2     B7,B6,B7          ; |130| (P) <0,13>  ^ 
||         ADD     .S2X    B4,A3,B6          ; |131| (P) <0,13> 

           ; BRANCHCC OCCURS {$C$L6}         ; |128| 
$C$DW$L$_loc_exec$10$E:
;** --------------------------------------------------------------------------*
$C$DW$L$_loc_exec$11$B:
;**  	-----------------------    K$104 = 131072;
;**  	-----------------------    K$132 = 262144;
;**  	-----------------------    #pragma LOOP_FLAGS(4096u)
;**	-----------------------g9:
;** 130	-----------------------    C$8 = _mpy32ll(xx, yy);  // [7]
;** 130	-----------------------    C$7 = _mpy32ll(K$104, _loll(C$8)>>16u|(int)(_hill(C$8)<<16));  // [7]
;** 130	-----------------------    yy = (_loll(C$7)>>16u|(int)(_hill(C$7)<<16))+c2;  // [7]
;** 131	-----------------------    xx = qxx-qyy+c1;  // [7]
;** 574	-----------------------    C$6 = _mpy32ll(xx, xx);  // [6]
;** 574	-----------------------    qxx = _loll(C$6)>>16u|(int)(_hill(C$6)<<16);  // [6]
;** 574	-----------------------    C$5 = _mpy32ll(yy, yy);  // [6]
;** 574	-----------------------    qyy = _loll(C$5)>>16u|(int)(_hill(C$5)<<16);  // [6]
;** 128	-----------------------    if ( !(((++iter) >= itd)|(qyy+qxx > K$132)) ) goto g9;  // [7]

           DINT                              ; interrupts off
||         MPY32   .M2     B6,B6,B9:B8       ; |574| (P) <0,14> 
||         ADD     .L2X    A13,B7,B7         ; |130| 

$C$DW$L$_loc_exec$11$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : demo_fractal.c
;*      Loop source line                 : 128
;*      Loop opening brace source line   : 129
;*      Loop closing brace source line   : 135
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 13
;*      Unpartitioned Resource Bound     : 5
;*      Partitioned Resource Bound(*)    : 5
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     2        0     
;*      .S units                     4        5*    
;*      .D units                     0        0     
;*      .M units                     0        4     
;*      .X cross paths               4        1     
;*      .T address paths             0        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          8        5     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             3        3     
;*      Bound(.L .S .D .LS .LSD)     5*       4     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 13 Did not find schedule
;*         ii = 14 Did not find schedule
;*         ii = 15 Schedule found with 3 iterations in parallel
;*      Done
;*
;*      Collapsed epilog stages       : 2
;*      Prolog not removed
;*      Collapsed prolog stages       : 0
;*
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP PROLOG
           MPY32   .M2     B6,B7,B7:B6       ; |130| (P) <1,0>  ^ 
           NOP             1
           MPY32   .M2     B7,B7,B19:B18     ; |574| (P) <0,17> 
	.dwpsn	file "demo_fractal.c",line 128,column 0,is_stmt

           MVK     .L2     0x1,B0
||         MV      .L1     A8,A4
||         MV      .S2X    A13,B5

;** --------------------------------------------------------------------------*
$C$L4:    ; PIPED LOOP KERNEL
$C$DW$L$_loc_exec$13$B:
	.dwpsn	file "demo_fractal.c",line 129,column 0,is_stmt
           SHL     .S2     B7,16,B7          ; |130| <1,4>  ^ 

           SHL     .S1X    B9,16,A7          ; |574| <0,20> 
||         SHRU    .S2     B6,16,B6          ; |130| <1,5>  ^ 

           SHRU    .S2     B18,16,B6         ; |574| <0,21> 
||         SHRU    .S1X    B8,16,A6          ; |574| <0,21> 
||         OR      .L2     B7,B6,B7          ; |130| <1,6>  ^ 

           SHL     .S1X    B19,16,A3         ; |574| <0,22> 
||         MPY32   .M2     B16,B7,B7:B6      ; |130| <1,7>  ^ 

           ADD     .L1     1,A4,A4           ; |128| <0,23> 
||         OR      .S1     A7,A6,A6          ; |574| <0,23> 
||         OR      .D1X    A3,B6,A7          ; |574| <0,23> 

           CMPLTU  .L1     A4,A5,A3          ; |128| <0,24> 
||         ADD     .S1     A6,A7,A16         ; |128| <0,24> 

           XOR     .S1     1,A3,A3           ; |128| <0,25> 
||         CMPGT   .L1     A16,A9,A16        ; |128| <0,25> 

           OR      .S1     A16,A3,A0         ; |128| <0,26> 
||         SUB     .L1     A6,A7,A3          ; |131| <1,11> 
||         SHL     .S2     B7,16,B7          ; |130| <1,11>  ^ 

   [ B0]   MV      .L1     A4,A8             ; |128| <0,27> 
|| [ A0]   ZERO    .L2     B0                ; |128| <0,27> 
||         SHRU    .S2     B6,16,B6          ; |130| <1,12>  ^ 

   [ B0]   B       .S1     $C$L4             ; |128| <0,28> 
||         ADD     .L2X    B4,A3,B6          ; |131| <1,13> 
||         OR      .S2     B7,B6,B7          ; |130| <1,13>  ^ 

           MPY32   .M2     B6,B6,B9:B8       ; |574| <1,14> 
||         ADD     .L2     B5,B7,B7          ; |130| <1,14>  ^ 

           MPY32   .M2     B6,B7,B7:B6       ; |130| <2,0>  ^ 
           NOP             1
           MPY32   .M2     B7,B7,B19:B18     ; |574| <1,17> 
	.dwpsn	file "demo_fractal.c",line 135,column 0,is_stmt
           NOP             1
$C$DW$L$_loc_exec$13$E:
;** --------------------------------------------------------------------------*
$C$L5:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$DW$L$_loc_exec$15$B:
           MV      .L1X    B5,A13

           RINT                              ; interrupts on
||         MV      .L1X    B4,A12

$C$DW$L$_loc_exec$15$E:
;** --------------------------------------------------------------------------*
$C$L6:    
$C$DW$L$_loc_exec$16$B:
;**	-----------------------g10:
;** 141	-----------------------    c8 = iter<<3;  // [7]
;** 143	-----------------------    c32 = (iter<<4)+ly;  // [7]
;** 145	-----------------------    if ( c32 <= K$143 ) goto g12;  // [7]
;** 147	-----------------------    c32 = K$143;  // [7]
;**	-----------------------g12:
;** 156	-----------------------    *U$155++ = (c8<<8|c8)<<8|c32|K$151;  // [7]
;** 159	-----------------------    c_xx += s_xx;  // [7]
;** 118	-----------------------    if ( L$2 = L$2-1 ) goto g7;  // [7]

           SHL     .S1     A8,3,A3           ; |141| 
||         SHL     .S2X    A8,4,B4           ; |143| 
||         ADD     .L1     A11,A21,A21       ; |159| 
||         SUB     .D1     A1,1,A1           ; |118| 

           SHL     .S1     A3,8,A4           ; |156| 
||         ADD     .L2     B22,B4,B4         ; |143| 
|| [ A1]   MPY32   .M1     A21,A21,A7:A6     ; |574| 
|| [ A1]   MV      .S2X    A19,B7            ; |125| 
|| [ A1]   ZERO    .L1     A8                ; |128| 

           OR      .L1     A3,A4,A3          ; |156| 
|| [ A1]   B       .S1     $C$L2             ; |118| 
|| [ A1]   MV      .S2X    A21,B6            ; |124| 
||         CMPGTU  .L2     B4,B20,B0         ; |145| 

   [ B0]   MV      .L2     B20,B4            ; |147| 
||         SHL     .S1     A3,8,A3           ; |156| 

   [ A1]   MPY32   .M2     B6,B7,B7:B6       ; |130| (P) <0,0>  ^ 

           OR      .L2X    B4,A3,B4          ; |156| 
|| [ A1]   SHRU    .S1     A6,16,A3          ; |574| 

           OR      .L2     B27,B4,B4         ; |156| 
	.dwpsn	file "demo_fractal.c",line 160,column 0,is_stmt

           STW     .D2T2   B4,*B17++         ; |156| 
|| [ A1]   SHL     .S2X    A7,16,B4          ; |574| 
|| [ A1]   MV      .L1X    B21,A7            ; |574| 

           ; BRANCHCC OCCURS {$C$L2}         ; |118| 
$C$DW$L$_loc_exec$16$E:
;** --------------------------------------------------------------------------*
$C$L7:    
$C$DW$L$_loc_exec$17$B:
;**	-----------------------g13:
;** 162	-----------------------    c_yy += s_yy;  // [7]
;** 165	-----------------------    di += ((*_args).framebuffer.pitch>>2)-V$1;  // [7]
;** 163	-----------------------    ++ly;  // [7]
;** 114	-----------------------    if ( L$1 = L$1-1 ) goto g5;  // [7]

           LDW     .D1T1   *+A10(4),A3       ; |165| 
||         SUB     .L2     B1,1,B1           ; |114| 
||         ADD     .L1     A18,A19,A19       ; |162| 
||         ADD     .S2     1,B22,B22         ; |163| 

   [ B1]   MV      .L1     A20,A21           ; |116| 
   [ B1]   BNOP    .S1     $C$L1,2           ; |114| 
           SHRU    .S1     A3,2,A3           ; |165| 

           SUB     .L1     A3,A2,A3          ; |165| 
|| [!B1]   MVK     .S1     0x1,A2            ; nullify predicate

	.dwpsn	file "demo_fractal.c",line 167,column 0,is_stmt

   [!A2]   B       .S1     $C$L7             ; |118| 
|| [ A2]   MV      .L2X    A21,B6            ; |124| 
||         ADD     .D1     A17,A3,A17        ; |165| 
|| [ A2]   CMPEQ   .L1     A5,0,A3
|| [ A2]   MVKL    .S2     0x40001,B25
|| [ A2]   MPY32   .M1     A19,A19,A7:A6

           ; BRANCHCC OCCURS {$C$L1}         ; |114| 
$C$DW$L$_loc_exec$17$E:
;** --------------------------------------------------------------------------*
$C$L8:    
;**	-----------------------g14:
;** 395	-----------------------    BCACHE_wbAll();  // [7]
;** 437	-----------------------    return 0u;
$C$DW$37	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$37, DW_AT_low_pc(0x00)
	.dwattr $C$DW$37, DW_AT_name("_BCACHE_wbAll")
	.dwattr $C$DW$37, DW_AT_TI_call
           CALLP   .S2     _BCACHE_wbAll,B3
$C$RL13:   ; CALL OCCURS {_BCACHE_wbAll} {0}  ; |395| 
;** --------------------------------------------------------------------------*
           ZERO    .L1     A3                ; |437| 
;** --------------------------------------------------------------------------*
$C$L9:    
           LDDW    .D2T1   *++SP,A11:A10     ; |438| 

           LDDW    .D2T1   *++SP,A13:A12     ; |438| 
||         MV      .L2     B13,B3            ; |438| 

$C$DW$38	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$38, DW_AT_low_pc(0x04)
	.dwattr $C$DW$38, DW_AT_TI_return

           LDDW    .D2T1   *++SP,A15:A14     ; |438| 
||         RET     .S2     B3                ; |438| 

           LDW     .D2T2   *++SP(8),B13      ; |438| 
           MV      .L1     A3,A4             ; |437| 
	.dwpsn	file "demo_fractal.c",line 438,column 1,is_stmt
           NOP             3
           ; BRANCH OCCURS {B3}              ; |438| 

$C$DW$39	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$39, DW_AT_name("/bsp/pandora/c64_tools/c64_ccs_projects/components/demo_fractal/demo_fractal.asm:$C$L1:1:1380228236")
	.dwattr $C$DW$39, DW_AT_TI_begin_file("demo_fractal.c")
	.dwattr $C$DW$39, DW_AT_TI_begin_line(0x72)
	.dwattr $C$DW$39, DW_AT_TI_end_line(0xa7)
$C$DW$40	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$40, DW_AT_low_pc($C$DW$L$_loc_exec$8$B)
	.dwattr $C$DW$40, DW_AT_high_pc($C$DW$L$_loc_exec$8$E)
$C$DW$41	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$41, DW_AT_low_pc($C$DW$L$_loc_exec$9$B)
	.dwattr $C$DW$41, DW_AT_high_pc($C$DW$L$_loc_exec$9$E)
$C$DW$42	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$42, DW_AT_low_pc($C$DW$L$_loc_exec$17$B)
	.dwattr $C$DW$42, DW_AT_high_pc($C$DW$L$_loc_exec$17$E)

$C$DW$43	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$43, DW_AT_name("/bsp/pandora/c64_tools/c64_ccs_projects/components/demo_fractal/demo_fractal.asm:$C$L2:2:1380228236")
	.dwattr $C$DW$43, DW_AT_TI_begin_file("demo_fractal.c")
	.dwattr $C$DW$43, DW_AT_TI_begin_line(0x76)
	.dwattr $C$DW$43, DW_AT_TI_end_line(0xa0)
$C$DW$44	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$44, DW_AT_low_pc($C$DW$L$_loc_exec$10$B)
	.dwattr $C$DW$44, DW_AT_high_pc($C$DW$L$_loc_exec$10$E)
$C$DW$45	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$45, DW_AT_low_pc($C$DW$L$_loc_exec$11$B)
	.dwattr $C$DW$45, DW_AT_high_pc($C$DW$L$_loc_exec$11$E)
$C$DW$46	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$46, DW_AT_low_pc($C$DW$L$_loc_exec$15$B)
	.dwattr $C$DW$46, DW_AT_high_pc($C$DW$L$_loc_exec$15$E)
$C$DW$47	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$47, DW_AT_low_pc($C$DW$L$_loc_exec$16$B)
	.dwattr $C$DW$47, DW_AT_high_pc($C$DW$L$_loc_exec$16$E)

$C$DW$48	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$48, DW_AT_name("/bsp/pandora/c64_tools/c64_ccs_projects/components/demo_fractal/demo_fractal.asm:$C$L4:3:1380228236")
	.dwattr $C$DW$48, DW_AT_TI_begin_file("demo_fractal.c")
	.dwattr $C$DW$48, DW_AT_TI_begin_line(0x80)
	.dwattr $C$DW$48, DW_AT_TI_end_line(0x87)
$C$DW$49	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$49, DW_AT_low_pc($C$DW$L$_loc_exec$13$B)
	.dwattr $C$DW$49, DW_AT_high_pc($C$DW$L$_loc_exec$13$E)
	.dwendtag $C$DW$48

	.dwendtag $C$DW$43

	.dwendtag $C$DW$39

	.dwattr $C$DW$18, DW_AT_TI_end_file("demo_fractal.c")
	.dwattr $C$DW$18, DW_AT_TI_end_line(0x1b6)
	.dwattr $C$DW$18, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$18

;; Inlined function references:
;; [  6] _IQNmpy
;; [  7] loc_process
;*****************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                             *
;*****************************************************************************
	.global	_BCACHE_inv
	.global	_BCACHE_wbAll
	.global	__IQNdiv
	.global	__mpyf
	.global	__fixfi
	.global	__fltuf

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "TI", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************

$C$DW$T$21	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$21, DW_AT_byte_size(0x10)
$C$DW$50	.dwtag  DW_TAG_member
	.dwattr $C$DW$50, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$50, DW_AT_name("data")
	.dwattr $C$DW$50, DW_AT_TI_symbol_name("_data")
	.dwattr $C$DW$50, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$50, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$51	.dwtag  DW_TAG_member
	.dwattr $C$DW$51, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$51, DW_AT_name("pitch")
	.dwattr $C$DW$51, DW_AT_TI_symbol_name("_pitch")
	.dwattr $C$DW$51, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$51, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$52	.dwtag  DW_TAG_member
	.dwattr $C$DW$52, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$52, DW_AT_name("w")
	.dwattr $C$DW$52, DW_AT_TI_symbol_name("_w")
	.dwattr $C$DW$52, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$52, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$53	.dwtag  DW_TAG_member
	.dwattr $C$DW$53, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$53, DW_AT_name("h")
	.dwattr $C$DW$53, DW_AT_TI_symbol_name("_h")
	.dwattr $C$DW$53, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$53, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$21


$C$DW$T$22	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$22, DW_AT_byte_size(0x24)
$C$DW$54	.dwtag  DW_TAG_member
	.dwattr $C$DW$54, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$54, DW_AT_name("framebuffer")
	.dwattr $C$DW$54, DW_AT_TI_symbol_name("_framebuffer")
	.dwattr $C$DW$54, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$54, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$55	.dwtag  DW_TAG_member
	.dwattr $C$DW$55, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$55, DW_AT_name("start_x")
	.dwattr $C$DW$55, DW_AT_TI_symbol_name("_start_x")
	.dwattr $C$DW$55, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr $C$DW$55, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$56	.dwtag  DW_TAG_member
	.dwattr $C$DW$56, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$56, DW_AT_name("start_y")
	.dwattr $C$DW$56, DW_AT_TI_symbol_name("_start_y")
	.dwattr $C$DW$56, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr $C$DW$56, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$57	.dwtag  DW_TAG_member
	.dwattr $C$DW$57, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$57, DW_AT_name("c1")
	.dwattr $C$DW$57, DW_AT_TI_symbol_name("_c1")
	.dwattr $C$DW$57, DW_AT_data_member_location[DW_OP_plus_uconst 0x18]
	.dwattr $C$DW$57, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$58	.dwtag  DW_TAG_member
	.dwattr $C$DW$58, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$58, DW_AT_name("c2")
	.dwattr $C$DW$58, DW_AT_TI_symbol_name("_c2")
	.dwattr $C$DW$58, DW_AT_data_member_location[DW_OP_plus_uconst 0x1c]
	.dwattr $C$DW$58, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$59	.dwtag  DW_TAG_member
	.dwattr $C$DW$59, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$59, DW_AT_name("iter_depth")
	.dwattr $C$DW$59, DW_AT_TI_symbol_name("_iter_depth")
	.dwattr $C$DW$59, DW_AT_data_member_location[DW_OP_plus_uconst 0x20]
	.dwattr $C$DW$59, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$22

$C$DW$T$43	.dwtag  DW_TAG_typedef, DW_AT_name("demo_fractal_args_t")
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)

$C$DW$T$36	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$36, DW_AT_byte_size(0x10)
$C$DW$60	.dwtag  DW_TAG_member
	.dwattr $C$DW$60, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$60, DW_AT_name("init")
	.dwattr $C$DW$60, DW_AT_TI_symbol_name("_init")
	.dwattr $C$DW$60, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$60, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$61	.dwtag  DW_TAG_member
	.dwattr $C$DW$61, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$61, DW_AT_name("exec")
	.dwattr $C$DW$61, DW_AT_TI_symbol_name("_exec")
	.dwattr $C$DW$61, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$61, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$62	.dwtag  DW_TAG_member
	.dwattr $C$DW$62, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$62, DW_AT_name("exec_fc")
	.dwattr $C$DW$62, DW_AT_TI_symbol_name("_exec_fc")
	.dwattr $C$DW$62, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$62, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$63	.dwtag  DW_TAG_member
	.dwattr $C$DW$63, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$63, DW_AT_name("exit")
	.dwattr $C$DW$63, DW_AT_TI_symbol_name("_exit")
	.dwattr $C$DW$63, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$63, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$36


$C$DW$T$38	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$38, DW_AT_byte_size(0x14)
$C$DW$64	.dwtag  DW_TAG_member
	.dwattr $C$DW$64, DW_AT_type(*$C$DW$T$37)
	.dwattr $C$DW$64, DW_AT_name("component_id")
	.dwattr $C$DW$64, DW_AT_TI_symbol_name("_component_id")
	.dwattr $C$DW$64, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$64, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$65	.dwtag  DW_TAG_member
	.dwattr $C$DW$65, DW_AT_type(*$C$DW$T$36)
	.dwattr $C$DW$65, DW_AT_name("fxns")
	.dwattr $C$DW$65, DW_AT_TI_symbol_name("_fxns")
	.dwattr $C$DW$65, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$65, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$38

$C$DW$T$46	.dwtag  DW_TAG_typedef, DW_AT_name("dsp_component_t")
	.dwattr $C$DW$T$46, DW_AT_type(*$C$DW$T$38)
	.dwattr $C$DW$T$46, DW_AT_language(DW_LANG_C)
$C$DW$T$3	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$3, DW_AT_address_class(0x20)
$C$DW$T$47	.dwtag  DW_TAG_typedef, DW_AT_name("Ptr")
	.dwattr $C$DW$T$47, DW_AT_type(*$C$DW$T$3)
	.dwattr $C$DW$T$47, DW_AT_language(DW_LANG_C)

$C$DW$T$33	.dwtag  DW_TAG_subroutine_type
	.dwattr $C$DW$T$33, DW_AT_language(DW_LANG_C)
$C$DW$T$34	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$T$34, DW_AT_address_class(0x20)
$C$DW$T$35	.dwtag  DW_TAG_typedef, DW_AT_name("dsp_component_exit_fxn")
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$34)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$49	.dwtag  DW_TAG_typedef, DW_AT_name("Bool")
	.dwattr $C$DW$T$49, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$49, DW_AT_language(DW_LANG_C)
$C$DW$T$28	.dwtag  DW_TAG_typedef, DW_AT_name("sU16")
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
$C$DW$T$29	.dwtag  DW_TAG_typedef, DW_AT_name("dsp_component_cmd_t")
	.dwattr $C$DW$T$29, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$T$29, DW_AT_language(DW_LANG_C)
$C$DW$T$37	.dwtag  DW_TAG_typedef, DW_AT_name("dsp_component_id_t")
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$57	.dwtag  DW_TAG_typedef, DW_AT_name("I32_IQ")
	.dwattr $C$DW$T$57, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$57, DW_AT_language(DW_LANG_C)
$C$DW$T$62	.dwtag  DW_TAG_typedef, DW_AT_name("_iq")
	.dwattr $C$DW$T$62, DW_AT_type(*$C$DW$T$57)
	.dwattr $C$DW$T$62, DW_AT_language(DW_LANG_C)
$C$DW$T$23	.dwtag  DW_TAG_typedef, DW_AT_name("sSI")
	.dwattr $C$DW$T$23, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$23, DW_AT_language(DW_LANG_C)
$C$DW$T$24	.dwtag  DW_TAG_typedef, DW_AT_name("sBool")
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$24, DW_AT_language(DW_LANG_C)

$C$DW$T$25	.dwtag  DW_TAG_subroutine_type
	.dwattr $C$DW$T$25, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$25, DW_AT_language(DW_LANG_C)
$C$DW$T$26	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$T$26, DW_AT_address_class(0x20)
$C$DW$T$27	.dwtag  DW_TAG_typedef, DW_AT_name("dsp_component_init_fxn")
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$60	.dwtag  DW_TAG_typedef, DW_AT_name("U32_IQ")
	.dwattr $C$DW$T$60, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$60, DW_AT_language(DW_LANG_C)
$C$DW$T$58	.dwtag  DW_TAG_typedef, DW_AT_name("Uword32")
	.dwattr $C$DW$T$58, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$58, DW_AT_language(DW_LANG_C)
$C$DW$T$19	.dwtag  DW_TAG_typedef, DW_AT_name("sU32")
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$19, DW_AT_language(DW_LANG_C)
$C$DW$T$20	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$T$20, DW_AT_address_class(0x20)

$C$DW$T$30	.dwtag  DW_TAG_subroutine_type
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$T$30, DW_AT_language(DW_LANG_C)
$C$DW$66	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$66, DW_AT_type(*$C$DW$T$29)
$C$DW$67	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$67, DW_AT_type(*$C$DW$T$19)
$C$DW$68	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$68, DW_AT_type(*$C$DW$T$19)
$C$DW$69	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$69, DW_AT_type(*$C$DW$T$20)
$C$DW$70	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$70, DW_AT_type(*$C$DW$T$20)
	.dwendtag $C$DW$T$30

$C$DW$T$31	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$T$31, DW_AT_address_class(0x20)
$C$DW$T$32	.dwtag  DW_TAG_typedef, DW_AT_name("dsp_component_exec_fxn")
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
$C$DW$T$71	.dwtag  DW_TAG_typedef, DW_AT_name("sUI")
	.dwattr $C$DW$T$71, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$71, DW_AT_language(DW_LANG_C)
$C$DW$T$48	.dwtag  DW_TAG_typedef, DW_AT_name("size_t")
	.dwattr $C$DW$T$48, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$48, DW_AT_language(DW_LANG_C)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$72	.dwtag  DW_TAG_typedef, DW_AT_name("I64_IQ")
	.dwattr $C$DW$T$72, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$72, DW_AT_language(DW_LANG_C)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

$C$DW$71	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A0")
	.dwattr $C$DW$71, DW_AT_location[DW_OP_reg0]
$C$DW$72	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A1")
	.dwattr $C$DW$72, DW_AT_location[DW_OP_reg1]
$C$DW$73	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A2")
	.dwattr $C$DW$73, DW_AT_location[DW_OP_reg2]
$C$DW$74	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A3")
	.dwattr $C$DW$74, DW_AT_location[DW_OP_reg3]
$C$DW$75	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A4")
	.dwattr $C$DW$75, DW_AT_location[DW_OP_reg4]
$C$DW$76	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A5")
	.dwattr $C$DW$76, DW_AT_location[DW_OP_reg5]
$C$DW$77	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A6")
	.dwattr $C$DW$77, DW_AT_location[DW_OP_reg6]
$C$DW$78	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A7")
	.dwattr $C$DW$78, DW_AT_location[DW_OP_reg7]
$C$DW$79	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A8")
	.dwattr $C$DW$79, DW_AT_location[DW_OP_reg8]
$C$DW$80	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A9")
	.dwattr $C$DW$80, DW_AT_location[DW_OP_reg9]
$C$DW$81	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A10")
	.dwattr $C$DW$81, DW_AT_location[DW_OP_reg10]
$C$DW$82	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A11")
	.dwattr $C$DW$82, DW_AT_location[DW_OP_reg11]
$C$DW$83	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A12")
	.dwattr $C$DW$83, DW_AT_location[DW_OP_reg12]
$C$DW$84	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A13")
	.dwattr $C$DW$84, DW_AT_location[DW_OP_reg13]
$C$DW$85	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A14")
	.dwattr $C$DW$85, DW_AT_location[DW_OP_reg14]
$C$DW$86	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A15")
	.dwattr $C$DW$86, DW_AT_location[DW_OP_reg15]
$C$DW$87	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B0")
	.dwattr $C$DW$87, DW_AT_location[DW_OP_reg16]
$C$DW$88	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B1")
	.dwattr $C$DW$88, DW_AT_location[DW_OP_reg17]
$C$DW$89	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B2")
	.dwattr $C$DW$89, DW_AT_location[DW_OP_reg18]
$C$DW$90	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B3")
	.dwattr $C$DW$90, DW_AT_location[DW_OP_reg19]
$C$DW$91	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B4")
	.dwattr $C$DW$91, DW_AT_location[DW_OP_reg20]
$C$DW$92	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B5")
	.dwattr $C$DW$92, DW_AT_location[DW_OP_reg21]
$C$DW$93	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B6")
	.dwattr $C$DW$93, DW_AT_location[DW_OP_reg22]
$C$DW$94	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B7")
	.dwattr $C$DW$94, DW_AT_location[DW_OP_reg23]
$C$DW$95	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B8")
	.dwattr $C$DW$95, DW_AT_location[DW_OP_reg24]
$C$DW$96	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B9")
	.dwattr $C$DW$96, DW_AT_location[DW_OP_reg25]
$C$DW$97	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B10")
	.dwattr $C$DW$97, DW_AT_location[DW_OP_reg26]
$C$DW$98	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B11")
	.dwattr $C$DW$98, DW_AT_location[DW_OP_reg27]
$C$DW$99	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B12")
	.dwattr $C$DW$99, DW_AT_location[DW_OP_reg28]
$C$DW$100	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B13")
	.dwattr $C$DW$100, DW_AT_location[DW_OP_reg29]
$C$DW$101	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DP")
	.dwattr $C$DW$101, DW_AT_location[DW_OP_reg30]
$C$DW$102	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("SP")
	.dwattr $C$DW$102, DW_AT_location[DW_OP_reg31]
$C$DW$103	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FP")
	.dwattr $C$DW$103, DW_AT_location[DW_OP_regx 0x20]
$C$DW$104	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PC")
	.dwattr $C$DW$104, DW_AT_location[DW_OP_regx 0x21]
$C$DW$105	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IRP")
	.dwattr $C$DW$105, DW_AT_location[DW_OP_regx 0x22]
$C$DW$106	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IFR")
	.dwattr $C$DW$106, DW_AT_location[DW_OP_regx 0x23]
$C$DW$107	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("NRP")
	.dwattr $C$DW$107, DW_AT_location[DW_OP_regx 0x24]
$C$DW$108	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A16")
	.dwattr $C$DW$108, DW_AT_location[DW_OP_regx 0x25]
$C$DW$109	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A17")
	.dwattr $C$DW$109, DW_AT_location[DW_OP_regx 0x26]
$C$DW$110	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A18")
	.dwattr $C$DW$110, DW_AT_location[DW_OP_regx 0x27]
$C$DW$111	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A19")
	.dwattr $C$DW$111, DW_AT_location[DW_OP_regx 0x28]
$C$DW$112	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A20")
	.dwattr $C$DW$112, DW_AT_location[DW_OP_regx 0x29]
$C$DW$113	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A21")
	.dwattr $C$DW$113, DW_AT_location[DW_OP_regx 0x2a]
$C$DW$114	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A22")
	.dwattr $C$DW$114, DW_AT_location[DW_OP_regx 0x2b]
$C$DW$115	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A23")
	.dwattr $C$DW$115, DW_AT_location[DW_OP_regx 0x2c]
$C$DW$116	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A24")
	.dwattr $C$DW$116, DW_AT_location[DW_OP_regx 0x2d]
$C$DW$117	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A25")
	.dwattr $C$DW$117, DW_AT_location[DW_OP_regx 0x2e]
$C$DW$118	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A26")
	.dwattr $C$DW$118, DW_AT_location[DW_OP_regx 0x2f]
$C$DW$119	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A27")
	.dwattr $C$DW$119, DW_AT_location[DW_OP_regx 0x30]
$C$DW$120	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A28")
	.dwattr $C$DW$120, DW_AT_location[DW_OP_regx 0x31]
$C$DW$121	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A29")
	.dwattr $C$DW$121, DW_AT_location[DW_OP_regx 0x32]
$C$DW$122	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A30")
	.dwattr $C$DW$122, DW_AT_location[DW_OP_regx 0x33]
$C$DW$123	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A31")
	.dwattr $C$DW$123, DW_AT_location[DW_OP_regx 0x34]
$C$DW$124	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B16")
	.dwattr $C$DW$124, DW_AT_location[DW_OP_regx 0x35]
$C$DW$125	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B17")
	.dwattr $C$DW$125, DW_AT_location[DW_OP_regx 0x36]
$C$DW$126	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B18")
	.dwattr $C$DW$126, DW_AT_location[DW_OP_regx 0x37]
$C$DW$127	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B19")
	.dwattr $C$DW$127, DW_AT_location[DW_OP_regx 0x38]
$C$DW$128	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B20")
	.dwattr $C$DW$128, DW_AT_location[DW_OP_regx 0x39]
$C$DW$129	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B21")
	.dwattr $C$DW$129, DW_AT_location[DW_OP_regx 0x3a]
$C$DW$130	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B22")
	.dwattr $C$DW$130, DW_AT_location[DW_OP_regx 0x3b]
$C$DW$131	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B23")
	.dwattr $C$DW$131, DW_AT_location[DW_OP_regx 0x3c]
$C$DW$132	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B24")
	.dwattr $C$DW$132, DW_AT_location[DW_OP_regx 0x3d]
$C$DW$133	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B25")
	.dwattr $C$DW$133, DW_AT_location[DW_OP_regx 0x3e]
$C$DW$134	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B26")
	.dwattr $C$DW$134, DW_AT_location[DW_OP_regx 0x3f]
$C$DW$135	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B27")
	.dwattr $C$DW$135, DW_AT_location[DW_OP_regx 0x40]
$C$DW$136	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B28")
	.dwattr $C$DW$136, DW_AT_location[DW_OP_regx 0x41]
$C$DW$137	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B29")
	.dwattr $C$DW$137, DW_AT_location[DW_OP_regx 0x42]
$C$DW$138	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B30")
	.dwattr $C$DW$138, DW_AT_location[DW_OP_regx 0x43]
$C$DW$139	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B31")
	.dwattr $C$DW$139, DW_AT_location[DW_OP_regx 0x44]
$C$DW$140	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AMR")
	.dwattr $C$DW$140, DW_AT_location[DW_OP_regx 0x45]
$C$DW$141	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("CSR")
	.dwattr $C$DW$141, DW_AT_location[DW_OP_regx 0x46]
$C$DW$142	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ISR")
	.dwattr $C$DW$142, DW_AT_location[DW_OP_regx 0x47]
$C$DW$143	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ICR")
	.dwattr $C$DW$143, DW_AT_location[DW_OP_regx 0x48]
$C$DW$144	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IER")
	.dwattr $C$DW$144, DW_AT_location[DW_OP_regx 0x49]
$C$DW$145	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ISTP")
	.dwattr $C$DW$145, DW_AT_location[DW_OP_regx 0x4a]
$C$DW$146	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IN")
	.dwattr $C$DW$146, DW_AT_location[DW_OP_regx 0x4b]
$C$DW$147	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("OUT")
	.dwattr $C$DW$147, DW_AT_location[DW_OP_regx 0x4c]
$C$DW$148	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ACR")
	.dwattr $C$DW$148, DW_AT_location[DW_OP_regx 0x4d]
$C$DW$149	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ADR")
	.dwattr $C$DW$149, DW_AT_location[DW_OP_regx 0x4e]
$C$DW$150	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FADCR")
	.dwattr $C$DW$150, DW_AT_location[DW_OP_regx 0x4f]
$C$DW$151	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FAUCR")
	.dwattr $C$DW$151, DW_AT_location[DW_OP_regx 0x50]
$C$DW$152	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FMCR")
	.dwattr $C$DW$152, DW_AT_location[DW_OP_regx 0x51]
$C$DW$153	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("GFPGFR")
	.dwattr $C$DW$153, DW_AT_location[DW_OP_regx 0x52]
$C$DW$154	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DIER")
	.dwattr $C$DW$154, DW_AT_location[DW_OP_regx 0x53]
$C$DW$155	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("REP")
	.dwattr $C$DW$155, DW_AT_location[DW_OP_regx 0x54]
$C$DW$156	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TSCL")
	.dwattr $C$DW$156, DW_AT_location[DW_OP_regx 0x55]
$C$DW$157	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TSCH")
	.dwattr $C$DW$157, DW_AT_location[DW_OP_regx 0x56]
$C$DW$158	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ARP")
	.dwattr $C$DW$158, DW_AT_location[DW_OP_regx 0x57]
$C$DW$159	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ILC")
	.dwattr $C$DW$159, DW_AT_location[DW_OP_regx 0x58]
$C$DW$160	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RILC")
	.dwattr $C$DW$160, DW_AT_location[DW_OP_regx 0x59]
$C$DW$161	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DNUM")
	.dwattr $C$DW$161, DW_AT_location[DW_OP_regx 0x5a]
$C$DW$162	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("SSR")
	.dwattr $C$DW$162, DW_AT_location[DW_OP_regx 0x5b]
$C$DW$163	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("GPLYA")
	.dwattr $C$DW$163, DW_AT_location[DW_OP_regx 0x5c]
$C$DW$164	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("GPLYB")
	.dwattr $C$DW$164, DW_AT_location[DW_OP_regx 0x5d]
$C$DW$165	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TSR")
	.dwattr $C$DW$165, DW_AT_location[DW_OP_regx 0x5e]
$C$DW$166	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ITSR")
	.dwattr $C$DW$166, DW_AT_location[DW_OP_regx 0x5f]
$C$DW$167	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("NTSR")
	.dwattr $C$DW$167, DW_AT_location[DW_OP_regx 0x60]
$C$DW$168	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("EFR")
	.dwattr $C$DW$168, DW_AT_location[DW_OP_regx 0x61]
$C$DW$169	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ECR")
	.dwattr $C$DW$169, DW_AT_location[DW_OP_regx 0x62]
$C$DW$170	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IERR")
	.dwattr $C$DW$170, DW_AT_location[DW_OP_regx 0x63]
$C$DW$171	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DMSG")
	.dwattr $C$DW$171, DW_AT_location[DW_OP_regx 0x64]
$C$DW$172	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("CMSG")
	.dwattr $C$DW$172, DW_AT_location[DW_OP_regx 0x65]
$C$DW$173	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DT_DMA_ADDR")
	.dwattr $C$DW$173, DW_AT_location[DW_OP_regx 0x66]
$C$DW$174	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DT_DMA_DATA")
	.dwattr $C$DW$174, DW_AT_location[DW_OP_regx 0x67]
$C$DW$175	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DT_DMA_CNTL")
	.dwattr $C$DW$175, DW_AT_location[DW_OP_regx 0x68]
$C$DW$176	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TCU_CNTL")
	.dwattr $C$DW$176, DW_AT_location[DW_OP_regx 0x69]
$C$DW$177	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_REC_CNTL")
	.dwattr $C$DW$177, DW_AT_location[DW_OP_regx 0x6a]
$C$DW$178	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_XMT_CNTL")
	.dwattr $C$DW$178, DW_AT_location[DW_OP_regx 0x6b]
$C$DW$179	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_CFG")
	.dwattr $C$DW$179, DW_AT_location[DW_OP_regx 0x6c]
$C$DW$180	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_RDATA")
	.dwattr $C$DW$180, DW_AT_location[DW_OP_regx 0x6d]
$C$DW$181	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_WDATA")
	.dwattr $C$DW$181, DW_AT_location[DW_OP_regx 0x6e]
$C$DW$182	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_RADDR")
	.dwattr $C$DW$182, DW_AT_location[DW_OP_regx 0x6f]
$C$DW$183	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_WADDR")
	.dwattr $C$DW$183, DW_AT_location[DW_OP_regx 0x70]
$C$DW$184	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("MFREG0")
	.dwattr $C$DW$184, DW_AT_location[DW_OP_regx 0x71]
$C$DW$185	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DBG_STAT")
	.dwattr $C$DW$185, DW_AT_location[DW_OP_regx 0x72]
$C$DW$186	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("BRK_EN")
	.dwattr $C$DW$186, DW_AT_location[DW_OP_regx 0x73]
$C$DW$187	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP0_CNT")
	.dwattr $C$DW$187, DW_AT_location[DW_OP_regx 0x74]
$C$DW$188	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP0")
	.dwattr $C$DW$188, DW_AT_location[DW_OP_regx 0x75]
$C$DW$189	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP1")
	.dwattr $C$DW$189, DW_AT_location[DW_OP_regx 0x76]
$C$DW$190	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP2")
	.dwattr $C$DW$190, DW_AT_location[DW_OP_regx 0x77]
$C$DW$191	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP3")
	.dwattr $C$DW$191, DW_AT_location[DW_OP_regx 0x78]
$C$DW$192	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("OVERLAY")
	.dwattr $C$DW$192, DW_AT_location[DW_OP_regx 0x79]
$C$DW$193	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PC_PROF")
	.dwattr $C$DW$193, DW_AT_location[DW_OP_regx 0x7a]
$C$DW$194	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ATSR")
	.dwattr $C$DW$194, DW_AT_location[DW_OP_regx 0x7b]
$C$DW$195	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TRR")
	.dwattr $C$DW$195, DW_AT_location[DW_OP_regx 0x7c]
$C$DW$196	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TCRR")
	.dwattr $C$DW$196, DW_AT_location[DW_OP_regx 0x7d]
$C$DW$197	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DESR")
	.dwattr $C$DW$197, DW_AT_location[DW_OP_regx 0x7e]
$C$DW$198	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DETR")
	.dwattr $C$DW$198, DW_AT_location[DW_OP_regx 0x7f]
$C$DW$199	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("CIE_RETA")
	.dwattr $C$DW$199, DW_AT_location[DW_OP_regx 0xe4]
	.dwendtag $C$DW$CU

