
CC=cl6x
AR=ar6x
MAKE=make
RM=rm -f
DATE=/bin/date
TCONF=$(TI_XDCTOOLS)/tconf -b -Dconfig.importPath="$(TI_DSPBIOS)/packages;"


MAKEFILE=makefile.c64p

OBJDIR=obj

WFLAGS= --display_error_number --diag_warning=225 --set_error_limit=10

CFLAGS= $(WFLAGS) --abi=coffabi -mv64+ --define=CCS --gcc
CFLAGS += --include_path="$(TI_CGTOOLS)/include"
CFLAGS += --include_path="$(TI_DSPBIOS)/packages/ti/bios/include"
CFLAGS += --include_path="$(TI_DSPBIOS)/packages/ti/rtdx/include"
CFLAGS += --include_path="$(TI_FASTRTS)/c6400/C_fastRTS/include"
CFLAGS += --include_path="$(TI_IQMATH)/include"
CFLAGS += --include_path="$(C64_TOOLS_DSP_ROOT)"

OPTFLAGS_NONE= -O0
OPTFLAGS_SPEED= -O3 --optimizer_interlist --opt_for_speed=5 --auto_inline=512

#LDFLAGS= $(WFLAGS) -z --warn_sections -mv64+ --reread_libs --rom_model
LDFLAGS= $(WFLAGS) -z --warn_sections -mv64+ 

# library directories
LIBDIR=
LIBDIR+= -i"$(TI_CGTOOLS)/lib"
LIBDIR+= -i"$(TI_DSPBIOS)/packages/ti/rtdx/lib/c6000"
LIBDIR+= -i"$(TI_DSPBIOS)/packages/ti/bios/lib"


# project specific optimization flags
OPTFLAGS=

# project specific includes
INC=

# project specific libraries
LIB=

# other libs
LIB_PRE=

# sys libs
LIB_POST=
LIB_POST+= -l"$(TI_FASTRTS)/c6400/mthlib/lib/fastrts64x.lib"
LIB_POST+= -l"$(TI_IQMATH)/lib/IQmath_c64x+.lib"
LIB_POST+= -l"$(TI_IQMATH)/lib/IQmath_RAM_c64x+.lib"
LIB_POST+= -l"libc.a"


# additional clean targets
CLEAN_RULES=
